#define LGFX_USE_V1
#include <LovyanGFX.hpp>
#include "lgfx_ESP32_2432S028.h"

//Größe der Zeichenfläche definieren
#define MAX_X 319
#define MAX_Y 239

//Felder für die ermittelte Position
//bei einem klick
uint16_t x = 0, y = 0;

//Instanz des Displays
static LGFX lcd;

void setup(void) {
  //beginn der seriellen Kommunikation mit
  //115200 Baud
  Serial.begin(115200);

  //beginn der Kommunikation mit dem Display
  lcd.init();
  //drehen des Displays
  lcd.setRotation(1);
  //füllen des Displays mit der Farbe Schwarz
  lcd.fillScreen(lcd.color332(0,0,0));
  //eine kleine Pause von 100ms.
  delay(100);
}

void loop() {
  if (lcd.getTouch(&x, &y) == 1) {
    
    if (x > MAX_X || y > MAX_Y) {
      return;
    }
    
  }
  //eine Pause von 50 Millisekunden.
  delay(50);
}
